Bug 737751 - [abrt] rdiff-backup-1.2.8-6.fc15: connection.py:370:reval:OSError: [Errno 5] Input/output error: 'Laptop_Backup2/rdiff-backup-data/increments/.offlineimap/Repository-AKQLocal.2011-06-24T23:54:24-04:00.dir'
Summary: [abrt] rdiff-backup-1.2.8-6.fc15: connection.py:370:reval:OSError: [Errno 5] ...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: rdiff-backup
Version: 15
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:dbbb5e56a3e77aadc7e2d0e84b8...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-13 02:24 UTC by eric@christensenplace.us
Modified: 2012-08-07 19:55 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 19:55:38 UTC


Attachments (Terms of Use)

Description eric@christensenplace.us 2011-09-13 02:24:52 UTC
abrt version: 2.0.3
architecture:   i686
cmdline:        
comment:        Executed the following command: rdiff-backup --exclude=/home/xxxxx/.thunderbird/* --exclude=/home/xxxxx/.gvfs/* --print-statistics /home/xxxxx/ 192.168.1.10::Laptop_Backup2
component:      rdiff-backup
executable:     /usr/bin/rdiff-backup
kernel:         2.6.40.4-5.fc15.i686
os_release:     Fedora release 15 (Lovelock)
package:        rdiff-backup-1.2.8-6.fc15
reason:         connection.py:370:reval:OSError: [Errno 5] Input/output error: 'Laptop_Backup2/rdiff-backup-data/increments/.offlineimap/Repository-AKQLocal.2011-06-24T23:54:24-04:00.dir'
time:           Mon Sep 12 22:07:18 2011
uid:            500
username:       christensene

backtrace:
:connection.py:370:reval:OSError: [Errno 5] Input/output error: 'Laptop_Backup2/rdiff-backup-data/increments/.offlineimap/Repository-AKQLocal.2011-06-24T23:54:24-04:00.dir'
:
:Traceback (most recent call last):
:  File "/usr/bin/rdiff-backup", line 30, in <module>
:    rdiff_backup.Main.error_check_Main(sys.argv[1:])
:  File "/usr/lib/python2.7/site-packages/rdiff_backup/Main.py", line 304, in error_check_Main
:    try: Main(arglist)
:  File "/usr/lib/python2.7/site-packages/rdiff_backup/Main.py", line 324, in Main
:    take_action(rps)
:  File "/usr/lib/python2.7/site-packages/rdiff_backup/Main.py", line 280, in take_action
:    elif action == "backup": Backup(rps[0], rps[1])
:  File "/usr/lib/python2.7/site-packages/rdiff_backup/Main.py", line 337, in Backup
:    backup_final_init(rpout)
:  File "/usr/lib/python2.7/site-packages/rdiff_backup/Main.py", line 501, in backup_final_init
:    checkdest_if_necessary(rpout)
:  File "/usr/lib/python2.7/site-packages/rdiff_backup/Main.py", line 920, in checkdest_if_necessary
:    dest_rp.conn.regress.Regress(dest_rp)
:  File "/usr/lib/python2.7/site-packages/rdiff_backup/connection.py", line 450, in __call__
:    return apply(self.connection.reval, (self.name,) + args)
:  File "/usr/lib/python2.7/site-packages/rdiff_backup/connection.py", line 370, in reval
:    if isinstance(result, Exception): raise result
:OSError: [Errno 5] Input/output error: 'Laptop_Backup2/rdiff-backup-data/increments/.offlineimap/Repository-AKQLocal.2011-06-24T23:54:24-04:00.dir'
:
:Local variables in innermost frame:
:req_num: 0
:self: PipeConnection 1
:args: (<rdiff_backup.rpath.RPath instance at 0x873824c>,)
:result: OSError(5, 'Input/output error')
:function_string: 'regress.Regress'
:arg: <rdiff_backup.rpath.RPath instance at 0x873824c>

Comment 1 Kevin Fenzi 2011-09-13 02:47:23 UTC
Can you check 'dmesg' on the Laptop_backup2 machine? 
It seems to have hit an I/O error. ;(

Comment 2 Fedora End Of Life 2012-08-07 19:55:40 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.